Bug 1132356 - Review Request: perl-Mo - Micro Objects. Mo is less
Summary: Review Request: perl-Mo - Micro Objects. Mo is less
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1134108
TreeView+ depends on / blocked
 
Reported: 2014-08-21 08:32 UTC by David Dick
Modified: 2014-11-30 19:19 UTC (History)
4 users (show)

Fixed In Version: perl-Mo-0.39-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 22:25:25 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-08-21 08:32:42 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Mo.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Mo-0.38-1.fc20.src.rpm
Description: Mo - Micro Objects. Mo is less
Fedora Account System Username: ddick

Comment 1 Christopher Meng 2014-08-21 08:35:29 UTC
Or maybe perl-Mo?

Mo - Micro Objects. Mo is less -> Micro Objects. Mo is less

Comment 3 David Dick 2014-08-21 08:52:23 UTC
(In reply to Christopher Meng from comment #1)
> Or maybe perl-Mo?
> 
> Mo - Micro Objects. Mo is less -> Micro Objects. Mo is less

heh, i'm dreading when someone writes the more micro than Mo module.  

Happy to accept review advice on Summary and Description.

Comment 4 Petr Pisar 2014-08-21 15:26:40 UTC
I think the summary could be better. The upstream's one is too artistic, not suitable for good summary. E.g. "Perl micro-object system".

The description looks good aside the "OO". I would expand it to "object-oriented system" or just "object system".

Comment 5 Ralf Corsepius 2014-08-21 15:41:37 UTC
I am wondering about the explicit Requires (They seem to be correct).

Seems like this package is wanting win a code obscurity contest. Apparently their approach is sufficent to confuse rpm's automatic dep tracking ;)

Comment 6 Petr Šabata 2014-08-22 15:11:52 UTC
The code is indeed a bit special... :)

As noted in comment #4, the summary could be better.  The suggested example looks good.  I don't mind the acronym in %description, though.  We have so many acronyms in so many packages and everybody's familiar with this one...

This aside, I don't see any blocking issues here.

Comment 7 David Dick 2014-08-22 23:50:07 UTC
Thanks all for comments/suggestions.  Thanks Petr for the review.  I've updated the description & summary.

New Package SCM Request
=======================
Package Name: perl-Mo
Short Description: Perl micro-object system
Upstream URL: http://search.cpan.org/dist/Mo/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2014-08-25 11:50:37 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-08-25 20:51:31 UTC
perl-Mo-0.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Mo-0.38-1.fc20

Comment 10 Fedora Update System 2014-08-27 01:37:41 UTC
perl-Mo-0.38-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-09-09 22:25:25 UTC
perl-Mo-0.38-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Petr Šabata 2014-10-08 15:45:03 UTC
David,

I'd like to use Mo in f20, el6 and epel7.  Would you be interested in maintaining those branches as well?  If not, I can do it, of course.

Comment 13 David Dick 2014-10-09 07:30:45 UTC
Hi Petr,

f20 and f21 are already available.

el6 fails due to a missing dependency on perl(Class::XSAccessor) - http://koji.fedoraproject.org/koji/taskinfo?taskID=7809082

I'd be happy to maintain el6 if you could arrange Class::XSAccessor to be included in el6.

Package Change Request
======================
Package Name: perl-Mo
New Branches: epel7
Owners: ddick
InitialCC: perl-sig

Comment 14 Petr Šabata 2014-10-09 13:16:15 UTC
(In reply to David Dick from comment #13)
> I'd be happy to maintain el6 if you could arrange Class::XSAccessor to be
> included in el6.

Thanks, David.  I've requested the el6 branch and will let you know once it's ready.

Comment 15 Kevin Fenzi 2014-10-13 23:16:10 UTC
Git done (by process-git-requests).

Comment 16 Petr Šabata 2014-10-14 09:16:04 UTC
(In reply to Petr Šabata from comment #14)
> (In reply to David Dick from comment #13)
> > I'd be happy to maintain el6 if you could arrange Class::XSAccessor to be
> > included in el6.
> 
> Thanks, David.  I've requested the el6 branch and will let you know once
> it's ready.

Update submitted:
https://admin.fedoraproject.org/updates/perl-Class-XSAccessor-1.19-4.el6

Comment 17 David Dick 2014-10-14 09:23:50 UTC
Package Change Request
======================
Package Name: perl-Mo
New Branches: el6
Owners: ddick
InitialCC: perl-sig

Comment 18 Gwyn Ciesla 2014-10-14 12:02:29 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2014-10-15 08:32:22 UTC
perl-Mo-0.39-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Mo-0.39-1.el7

Comment 20 Fedora Update System 2014-11-01 22:32:52 UTC
perl-Mo-0.39-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 21 Petr Šabata 2014-11-11 12:36:11 UTC
perl-Class-XSAccessor-1.19-4.el6 finally submitted for stable...

Comment 22 David Dick 2014-11-12 08:26:51 UTC
yup.  just have to wait until it is available on the build servers.

Comment 23 Fedora Update System 2014-11-14 06:35:35 UTC
perl-Mo-0.39-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Mo-0.39-2.el6

Comment 24 Fedora Update System 2014-11-30 19:19:01 UTC
perl-Mo-0.39-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.